> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List subscribable event types

> Returns the controlled list of event types you can subscribe a webhook to.



## OpenAPI

````yaml /openapi/emsp-webhook/openapi.yaml get /emsp/v1/webhooks/event_types
openapi: 3.0.0
info:
  title: Spirii EMSP - Webhook Management API
  description: Self-service registration and delivery of Spirii EMSP domain-event webhooks.
  version: v1
  contact: {}
servers:
  - url: https://api.spirii.com
    description: Production
security: []
tags:
  - name: Webhooks
    description: Webhook event management
paths:
  /emsp/v1/webhooks/event_types:
    get:
      tags:
        - Webhooks
      summary: List subscribable event types
      description: >-
        Returns the controlled list of event types you can subscribe a webhook
        to.
      operationId: webhooks_list_event_types
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventTypesResponseDto'
components:
  schemas:
    EventTypesResponseDto:
      type: object
      properties:
        event_types:
          description: Subscribable event types with their available api_versions.
          type: array
          items:
            $ref: '#/components/schemas/EventTypeInfoDto'
      required:
        - event_types
    EventTypeInfoDto:
      type: object
      properties:
        type:
          type: string
          description: The event type.
        api_versions:
          description: api_versions available to subscribe to for this type.
          type: array
          items:
            type: string
        latest:
          type: string
          description: >-
            The latest available api_version (used when a subscription omits
            api_version).
      required:
        - type
        - api_versions
        - latest

````